## unburden-home-dir 0.0.20110203

=== Makefile ===
build:

test:
	checkbashisms Xsession.d/95unburden_home_dir
	perl -c bin/unburden-home-dir
	prove t/*.t

install:
	install -d $(DESTDIR)/etc/X11/Xsession.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/man/man1/
	install -m 755 bin/unburden-home-dir $(DESTDIR)/usr/bin/
	install -m 644 Xsession.d/95unburden_home_dir $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 etc/unburden_home_dir etc/unburden_home_dir_list $(DESTDIR)/etc/
	sed -e 's/^\([^#]\)/#\1/' -i $(DESTDIR)/etc/unburden_home_dir_list
	gzip -9c man/unburden-home-dir.1 > $(DESTDIR)/usr/share/man/man1/unburden-home-dir.1.gz

=== debian/changelog ===
unburden-home-dir (0.0.20110203) experimental; urgency=low

  * Fix bug when moving stuff and the target directory already exists. Use
    File::Rsync for that and add proper dependency to libfile-rsync-perl
    for that.
  * Fix bug where only the parent of an empty target directory has been
    created.
  * Reduce probability of false positives when looking for issues in the
    logs.
  * Add two more common cases to the example configuration:
    .conkeror[...]/Cache.Trash and .mozilla/default/[...]/Cache

 -- Axel Beckert <abe@debian.org>  Thu, 03 Feb 2011 20:12:56 +0100

unburden-home-dir (0.0.20110201) experimental; urgency=low

  * Rewritten in Perl.
  * Includes a test suite
  * Suggest corekeeper which can help for similar issues with core dumps.
  * Suggest autotrash which can help for similar issues with the desktop
    trash can.
  * First upload to Debian (Closes: #602045)

 -- Axel Beckert <abe@debian.org>  Wed, 10 Nov 2010 00:14:51 +0100

unburden-home-dir (0.0.20101103) unstable; urgency=low

  * Initial release

 -- Axel Beckert <abe@debian.org>  Sun, 31 Oct 2010 19:48:11 +0100

=== debian/control ===
Source: unburden-home-dir
Section: x11
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.0.50~), devscripts, libconfig-file-perl, libfile-touch-perl, libfile-slurp-perl
Standards-Version: 3.9.1
Homepage: http://wiki.phys.ethz.ch/readme/application_cache_files
Vcs-Git: http://git.phys.ethz.ch/unburden-home-dir.git
Vcs-Browser: http://git.phys.ethz.ch/?p=unburden-home-dir.git

Package: unburden-home-dir
Architecture: all
Depends: x11-common, ${perl:Depends}, ${misc:Depends}, libconfig-file-perl, libfile-touch-perl, libfile-rsync-perl
Enhances: x11-common
Suggests: corekeeper, autotrash
Description: Remove or move cache files automatically from user's home
 unburden-home-dir allows users to move cache files from browsers,
 etc. off their home directory, i.e. on a local harddisk or tmpfs and
 replace them with a symbolic link to the new location (e.g. on /tmp/
 or /scratch/) upon login. Optionally the contents of the directories
 and files can be removed instead of moved.
 .
 This is helpful in at least three cases:
 .
 The idea giving case are big workstation setups where $HOME is on NFS
 and all those caches put an unnecessary burden (hence the name) on
 the file server since caching over NFS doesn't have the best
 performance and may clog the NFS server, too.
 .
 The second case are devices with small disk space but a lot of RAM as
 seen often on boxes with flash disks or early netbooks, especially
 the EeePC, where configurations with 4GB disk space and 2GB RAM are
 not seldom. In this case you want to move off cache files, etc. to
 some tmpfs filesystem, e.g. /tmp/.
 .
 The third case is to keep those files in places where they don't get
 backed up and so don't take up backup disk space.
 .
 The package also contains an Xsession hook which calls this script on
 X login for every user. But by default no files or directories are
 configured to be moved elsewhere, so nothing will happen
 automatically without configuration.

## unburden-home-dir 0.3.1

=== debian/changelog ===
unburden-home-dir (0.3.1) unstable; urgency=low

  * Make test suite check if lsof is available or not and expect different
    output in both cases. (Closes: #678780)
  * Use which('lsof') from File::Which instead of `which lsof`
    + Add dependency and build-dependency on libfile-which-perl
  * Use a copy of README.md named just README to be installed in the
    Debian binary package to avoid any associations with Linux' software
    RAID. (Closes: #678630)
  * Minor refactoring of t/undo.t for not confusing syntax highlighting

 -- Axel Beckert <abe@debian.org>  Mon, 25 Jun 2012 15:34:34 +0200

unburden-home-dir (0.3) unstable; urgency=low

  * If lsof is available, check if files to (re)move are still in use
    before (re)moving them.
    - Recommend lsof
  * Some Refactoring:
    - use Modern::Perl; add libmodern-perl-perl as dependencies.
    - use say instead of print + "perl -l". Fixes issues with double
      newlines printed by modules..
    - use for and when instead of tons of if blocks
    - replace last use of @_[...]
    - add missing trailing semicolons and explicit returns
    - remove all subroutine calls with "&" sigil
    - remove code duplication
    - use lc($var) eq 'c' instead of two string comparisons
  * Remove no more necessary eval in regexp replacement
  * Add missing close();
  * More documentation in README:
    - Add some paragraphs about reversing unburden-home-dir's effect
      (Closes: #673909)
    - Add sections How To and Common Issues + Troubleshooting
    - Reorder sections and add subsections to get a nice outline
  * Renamed README to README.md so it will be parsed as Markdown on GitHub
  * Added THANKS file
  * Add ~/.aptitude/cache to unburden-home-dir.list. (cf. #671780)
  * Fix typo in README.Debian (Closes: #673912; Thanks Touko Korpela!)

 -- Axel Beckert <abe@debian.org>  Tue, 12 Jun 2012 16:38:06 +0200

unburden-home-dir (0.2) unstable; urgency=low

  [ Klaus Umbach ]
  * Fix FTBFS: Add missing build-dependency on libfile-rsync-perl
  * Fix FTBFS: Ignore locales in moving-to-existing-subdir.t

  [ Axel Beckert ]
  * Unconditionally move files (no more uses "mv -i", likely a debugging
    leftover)
  * Handle symlinks to and unburden-home-dir.list entries for directories
    identical independent of trailing slashes. (Thanks Johan van den
    Dorpe! cf. GitHub Pull Request #2)
  * Also ignore blank lines in unburden-home-dir.list.
  * Add the caches of the following applications to the example
    unburden-home-dir.list: Galeon, Epiphany, xxxterm, Battle for Wesnoth,
    Gaia, Adobe Acrobat, Java, Forg, Buzzbird, Shotwell
  * Update list of caches in the example unburden-home-dir.list for the
    following applications: Opera, Mozilla based browsers
  * Comment the example unburden-home-dir.list, group entries by category
  * Add a test that verifies that lists with comments and blank lines can
    be parsed
  * Suggest a find command in the README to find most caches in a home
    directory

 -- Axel Beckert <abe@debian.org>  Fri, 18 May 2012 23:23:42 +0200

unburden-home-dir (0.1) unstable; urgency=low

  * First release thought for production use. Upload to unstable.
  * Uses consistently the basename "unburden-home-dir" instead of
    "unburden_home_dir".
    + Add Pre-Depends on dpkg >= 1.15.7.2 for usage of
      dpkg-maintscript-helper to rename conffiles.
  * Let Xsession.d snippet also source ~/.unburden-home-dir to allow per
    User execution
    + Call unburden-home-dir without hardcoded path
  * Refactoring:
    + Use speaking variable names in fix_dangling_links() and do_it()
    + Reindent and reformat some overlong lines in bin/unburden-home-dir
    + Add semicolons on all return statements before block ends
    + Define list file suffix just once
  * Add further tests to the test suite
  * Improve README and man page
  * Add tmpreaper, eatmydata, agedu, bleachbit and some more comfortable
    "du"-like tools to "Suggests".
  * Remove corekeeper from Suggests but keep it in the man page's SEE ALSO
    section.
  * Update man page
    + Split EXAMPLES and SEE ALSO
    + Update SEE ALSO
    + Typeset em dash properly
  * Add a further use case to the long description and README. (Thanks
    Pietro Abate!) Rewrite parts of the use cases section in both files.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Make Xsession.d snippet POSIX-compatible (Thanks Carsten Hey!)
  * Fix lintian warning helper-templates-in-copyright
  * Update copyright years in debian/copyright
  * Fix indentation in Xsession.d snippet and debian/copyright

 -- Axel Beckert <abe@debian.org>  Sat, 05 May 2012 00:29:11 +0200

## unburden-home-dir 0.3.1.2

=== Makefile ===
build:

test:
	checkbashisms Xsession.d/95unburden-home-dir
	perl -c bin/unburden-home-dir
	prove t/*.t

install:
	install -d $(DESTDIR)/etc/X11/Xsession.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/man/man1/
	install -m 755 bin/unburden-home-dir $(DESTDIR)/usr/bin/
	install -m 644 Xsession.d/95unburden-home-dir $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 etc/unburden-home-dir etc/unburden-home-dir.list $(DESTDIR)/etc/
	sed -e 's/^\([^#]\)/#\1/' -i $(DESTDIR)/etc/unburden-home-dir.list
	gzip -9c man/unburden-home-dir.1 > $(DESTDIR)/usr/share/man/man1/unburden-home-dir.1.gz

=== debian/changelog ===
unburden-home-dir (0.3.1.2) unstable; urgency=low

  * Option -F doesn't have a parameter, so don't let it consume one (which
    could be another option which then will be ignored, e.g. the dry-run
    option -n; Closes: #691619)
  * Fix comment about usage in etc/unburden-home-dir — it's no more a POSIX
    shell fragment, but parsed by Config::File. (Closes: #690266)
  * Minor bugfix for example config files (Closes: #690268)
  * Update $VERSION in bin/unburden-home-dir which had been forgotten
    since 0.3. Add test so that this doesn't happen again. (Closes: #690265)
  * Add missing options to --help message and reorder it slightly.
  * More documentation updates and fixes.

 -- Axel Beckert <abe@debian.org>  Sat, 27 Oct 2012 17:25:44 +0200

unburden-home-dir (0.3.1.1) unstable; urgency=low

  * Better and more documentation

 -- Axel Beckert <abe@debian.org>  Wed, 10 Oct 2012 16:14:29 +0200

=== debian/control ===
Source: unburden-home-dir
Section: x11
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.0.50~), devscripts, libconfig-file-perl, libfile-touch-perl, libfile-slurp-perl, libfile-rsync-perl, libmodern-perl-perl, libfile-which-perl
Standards-Version: 3.9.3
Homepage: http://wiki.phys.ethz.ch/readme/application_cache_files
Vcs-Git: http://git.phys.ethz.ch/unburden-home-dir.git
Vcs-Browser: http://git.phys.ethz.ch/?p=unburden-home-dir.git

Package: unburden-home-dir
Architecture: all
Depends: x11-common, ${perl:Depends}, ${misc:Depends}, libconfig-file-perl, libfile-touch-perl, libfile-rsync-perl, libmodern-perl-perl, libfile-which-perl
Pre-Depends: dpkg (>= 1.15.7.2)
Recommends: lsof
Enhances: x11-common
Suggests: autotrash, tmpreaper, eatmydata, agedu, bleachbit, ncdu | baobab | filelight | xdiskusage | xdu
Description: Remove or move cache files automatically from user's home
 unburden-home-dir allows users to move cache files from browsers,
 etc. off their home directory, i.e. on a local harddisk or tmpfs and
 replace them with a symbolic link to the new location (e.g. on /tmp/
 or /scratch/) upon login. Optionally the contents of the directories
 and files can be removed instead of moved.
 .
 This is helpful at least in the following cases:
 .
 The idea-giving case are big workstation setups where $HOME is on NFS
 and all those caches put an unnecessary burden (hence the name) on
 the file server since caching over NFS doesn't have the best
 performance and may clog the NFS server, too.
 .
 A similar case, but with different purpose is reducing I/O on mobile
 devices like laptops or netbooks to extend the battery life: Moving
 browser caches etc. off the real disk into a tmpfs filesystem reduces
 the amount of disk I/O which reduces the power consumption of the
 disk.
 .
 Another possible solution for saving non-crucial I/O is using the
 package eatmydata to ignore a software's fsync calls.
 .
 The other type of use cases for unburden-home-dir is to reduce disk
 space usage, e.g. on devices with small disk space but a lot of RAM
 as seen often on boxes with flash disks or early netbooks, especially
 the EeePC, where configurations with 4GB disk space and 2GB RAM are
 not seldom. In this case you want to move off as many cache files,
 etc. as possible to some tmpfs filesystem, e.g. /tmp/.
 .
 It may also help to reduce the amount of needed backup disk space by
 keeping those files in places where they don't get backed up. In that
 case it's an alternative to keeping the blacklist in your backup
 software up-to-date.
 .
 The package also contains an Xsession hook which calls this script on
 X login for every user. But by default no files or directories are
 configured to be moved elsewhere, so nothing will happen
 automatically without configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Rename README.md to README for the Debian binary package (cf. #678630)
override_dh_installdocs:
	cp -p README.md README
	dh_installdocs

## unburden-home-dir 0.3.2.1

=== debian/changelog ===
unburden-home-dir (0.3.2.1) unstable; urgency=low

  * man-page: Clarify why du and friends are helpful when configuring
    unburden-home-dir (Closes: #711820)
  * README/man page: Update information about corekeeper
  * Add ~/.devscripts_cache and qupzilla cache (Thanks Daniel Koch!) to
    unburden-home-dir.list

 -- Axel Beckert <abe@debian.org>  Wed, 10 Jul 2013 20:42:08 +0200

unburden-home-dir (0.3.2) unstable; urgency=low

  * Use "buffer" to prevent "find" still running when "lsof" is started by
    "xargs". Add dependency and build-dependency (for test-suite) on "buffer".
  * Fix trailing slashes on revert (GitHub issue #5, thanks Johan van den
    Dorpe!)
  * debian/control: Apply wrap-and-sort
  * Add support for using XDG config directory for configuration
    files. (Closes: #692807)
    + Add dependency and build-dependency on libfile-basedir-perl.
  * Refactor test suite
    + Uses more external modules, Added Test::Differences, Test::Files and
      Mouse as build dependencies.
  * Fix test suite failures with newer coreutils versions in
    t/moving-to-existing-subdir.t.
  * README:
    + Create new section "see also" about similar solutions and move
      hint about eatmydata there.
    + Add lots of information
    + Merge THANKS into README
  * Sync man page with --help output and recognized options.
  * Add sxiv, Google Earth and CCache to example unburden-home-dir.list
  * New (optional) make target "cover" to make easy use of Devel::Cover.
  * debian/rules: Remove notice that the initial example file has no
    copyright restrictions, i.e. that the notice is allowed to be removed.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump copyright years in various places
  * Switch Homepage and Vcs-* headers to Github. Mention all Git repos in
    debian/copyright.
  * Add debian/gbp.conf with "sign-tags = True" (Closes: #695980)

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 20:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,47 @@
 Section: x11
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), devscripts, libconfig-file-perl, libfile-touch-perl, libfile-slurp-perl, libfile-rsync-perl, libmodern-perl-perl, libfile-which-perl
-Standards-Version: 3.9.3
-Homepage: http://wiki.phys.ethz.ch/readme/application_cache_files
-Vcs-Git: http://git.phys.ethz.ch/unburden-home-dir.git
-Vcs-Browser: http://git.phys.ethz.ch/?p=unburden-home-dir.git
+Build-Depends: buffer,
+               debhelper (>= 7.0.50~),
+               devscripts,
+               libconfig-file-perl,
+               libfile-basedir-perl,
+               libfile-rsync-perl,
+               libfile-slurp-perl,
+               libfile-touch-perl,
+               libfile-which-perl,
+               libmodern-perl-perl,
+# Test suite dependencies
+               libmouse-perl,
+               libtest-differences-perl,
+               libtest-file-perl
+Standards-Version: 3.9.4
+Homepage: https://github.com/xtaran/unburden-home-dir
+Vcs-Git: git://github.com/xtaran/unburden-home-dir.git
+Vcs-Browser: https://github.com/xtaran/unburden-home-dir
 
 Package: unburden-home-dir
 Architecture: all
-Depends: x11-common, ${perl:Depends}, ${misc:Depends}, libconfig-file-perl, libfile-touch-perl, libfile-rsync-perl, libmodern-perl-perl, libfile-which-perl
+Depends: buffer,
+         libconfig-file-perl,
+         libfile-basedir-perl,
+         libfile-rsync-perl,
+         libfile-touch-perl,
+         libfile-which-perl,
+         libmodern-perl-perl,
+         x11-common,
+         ${misc:Depends},
+         ${perl:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: lsof
 Enhances: x11-common
-Suggests: autotrash, tmpreaper, eatmydata, agedu, bleachbit, ncdu | baobab | filelight | xdiskusage | xdu
+Suggests: agedu,
+          autotrash,
+          bleachbit,
+          eatmydata,
+          fslint,
+          ncdu | baobab | filelight | xdiskusage | xdu,
+          tmpreaper
 Description: Remove or move cache files automatically from user's home
  unburden-home-dir allows users to move cache files from browsers,
  etc. off their home directory, i.e. on a local harddisk or tmpfs and

## unburden-home-dir 0.3.2.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 	checkbashisms Xsession.d/95unburden-home-dir
 	perl -c bin/unburden-home-dir
 	prove t/*.t
+
+cover:
+	cover -delete
+	prove --exec 'env PERL5OPT=-MDevel::Cover perl' t/*.t
+	cover
 
 install:
 	install -d $(DESTDIR)/etc/X11/Xsession.d/

=== debian/changelog ===
unburden-home-dir (0.3.2.2) unstable; urgency=low

  * No more use "when" nor "my $_". Both features are marked experimental
    in Perl 5.18 and hence cause warnings which again cause test-suite
    failures. (Closes: #720762)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency accordingly

 -- Axel Beckert <abe@debian.org>  Sun, 25 Aug 2013 14:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: buffer,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9~),
                devscripts,
                libconfig-file-perl,
                libfile-basedir-perl,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Rename README.md to README for the Debian binary package (cf. #678630)
override_dh_installdocs:
	cp -p README.md README
	dh_installdocs

## unburden-home-dir 0.3.2.3

=== debian/changelog ===
unburden-home-dir (0.3.2.3) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no further changes)
  * Use "lsof +D" instead of "find | buffer | xargs lsof".
    + Drop dependencies on "buffer".
  * Re-add corekeeper to Suggests as it's back in Debian.
  * Downgrade dependency on x11-common to Recommends, unburden-home-dir
    works outside the Xsession infrastructure for quite a while now.

 -- Axel Beckert <abe@debian.org>  Thu, 08 May 2014 01:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: x11
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: buffer,
-               debhelper (>= 9~),
+Build-Depends: debhelper (>= 9~),
                devscripts,
                libconfig-file-perl,
                libfile-basedir-perl,
@@ -16,29 +15,29 @@
                libmouse-perl,
                libtest-differences-perl,
                libtest-file-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/xtaran/unburden-home-dir
 Vcs-Git: git://github.com/xtaran/unburden-home-dir.git
 Vcs-Browser: https://github.com/xtaran/unburden-home-dir
 
 Package: unburden-home-dir
 Architecture: all
-Depends: buffer,
-         libconfig-file-perl,
+Depends: libconfig-file-perl,
          libfile-basedir-perl,
          libfile-rsync-perl,
          libfile-touch-perl,
          libfile-which-perl,
          libmodern-perl-perl,
-         x11-common,
          ${misc:Depends},
          ${perl:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
-Recommends: lsof
+Recommends: lsof,
+            x11-common
 Enhances: x11-common
 Suggests: agedu,
           autotrash,
           bleachbit,
+          corekeeper,
           eatmydata,
           fslint,
           ncdu | baobab | filelight | xdiskusage | xdu,

## unburden-home-dir 0.3.2.4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 build:
 
-test:
-	checkbashisms Xsession.d/95unburden-home-dir
+pureperltest:
 	perl -c bin/unburden-home-dir
 	prove t/*.t
+
+test: pureperltest
+	checkbashisms Xsession.d/95unburden-home-dir
 
 cover:
 	cover -delete

=== debian/changelog ===
unburden-home-dir (0.3.2.4) unstable; urgency=medium

  * Fix test suite so it runs with perl elsewhere than /usr/bin/perl
  * Mention quota as usage reason in long package description
  * Add tests to check --version, -h and --help options.
  * Make -h write to STDOUT instead of STDERR as --help does.
  * Use /dev/null as additional empty config file and list to cover -c and
    -l options.
  * Workaround Config::File bug RT#98542, it behaves unexpectedly if given
    an empty configuration file.
  * Switch test suite from using Mouse to using Moo. Update
    build-dependencies accordingly.
  * Switch from Modern::Perl to strict + warnings + 5.010.
    + Drop (build-) dependency on libmodern-perl-perl.
  * Fix some issues found by Perl::Critic:
    + Add missing strictures.
    + Replace bareword file handles with variables.
    + Drop the sole (non-relevant) occurrence of subroutine prototypes.
  * Don't use "has" for calculated attributes in Test::UBH.
  * Remove all shebang line parameters from t/*.t files.
  * Use Travis CI

 -- Axel Beckert <abe@debian.org>  Wed, 03 Sep 2014 23:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
                libfile-slurp-perl,
                libfile-touch-perl,
                libfile-which-perl,
-               libmodern-perl-perl,
 # Test suite dependencies
-               libmouse-perl,
+               libmoo-perl,
                libtest-differences-perl,
                libtest-file-perl
 Standards-Version: 3.9.5
@@ -27,7 +26,6 @@
          libfile-rsync-perl,
          libfile-touch-perl,
          libfile-which-perl,
-         libmodern-perl-perl,
          ${misc:Depends},
          ${perl:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
@@ -77,6 +75,8 @@
  case it's an alternative to keeping the blacklist in your backup
  software up-to-date.
  .
+ For some users it may also be helpful to stay under their quota.
+ .
  The package also contains an Xsession hook which calls this script on
  X login for every user. But by default no files or directories are
  configured to be moved elsewhere, so nothing will happen

## unburden-home-dir 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,26 @@
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  PROVEFLAGS += -j$(NUMJOBS)
+endif
+
 build:
 
 pureperltest:
 	perl -c bin/unburden-home-dir
-	prove t/*.t
+	prove $(PROVEFLAGS) t/*.t
 
 test: pureperltest
 	checkbashisms Xsession.d/95unburden-home-dir
 
-cover:
+determine-coverage:
 	cover -delete
-	prove --exec 'env PERL5OPT=-MDevel::Cover perl' t/*.t
-	cover
+	prove --exec 'env PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t
+
+cover: determine-coverage
+	cover -report html_basic
+
+coveralls: determine-coverage
+	cover -report coveralls
 
 install:
 	install -d $(DESTDIR)/etc/X11/Xsession.d/

=== debian/changelog ===
unburden-home-dir (0.3.3) unstable; urgency=medium

  * Enhancements:
    + Warnings in case of unreadable list files
  * Bugfixes:
    + Fix broken behaviour upon trailing blank in list file.
    + Fix broken -f parameter parsing.
    + Remove unreachable subroutine unknown_element and some other
      unreachable code fragments. Yay for coverage tests!
  * Test suite enhancements:
    + Make Coveralls.io testing the right thing.
    + Don't do coverage on tests. Ignore handling of external errors.
    + Fix Moo-based Test::UBH for older versions of Moo.
    + Use File::Temp and String::Random instead of manually setting test
      directories. Add libstring-random-perl as build-dependency.
    + Enable DEP8 installed-time testing with autopkgtest.
    + Ignore lsof warnings caused by systemd.
  * New tests covering…
    + lsof checks
    + a lots of internal error handling
    + emptying files and directories
    + option -f
    + creating non-existent files
    + handling items that are neither file nor directory nor symlink
    + undo in combination with symlink which points to the wrong file
  * Updated build dependencies: Require at least version 1.30 of
    libtest-file-perl for dir_exists_ok.
  * Switch debian/copyright to machine-readable format and update years.
  * Enable parallel building (the test suite supports it)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Sep 2014 18:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                libfile-which-perl,
 # Test suite dependencies
                libmoo-perl,
+               libstring-random-perl,
                libtest-differences-perl,
-               libtest-file-perl
+               libtest-file-perl (>= 1.30),
+               lsof
 Standards-Version: 3.9.5
 Homepage: https://github.com/xtaran/unburden-home-dir
 Vcs-Git: git://github.com/xtaran/unburden-home-dir.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --parallel
 
 # Rename README.md to README for the Debian binary package (cf. #678630)
 override_dh_installdocs:

## unburden-home-dir 0.4.0.1

=== Makefile ===
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  PROVEFLAGS += -j$(NUMJOBS)
endif

build: cleanthedocs manpages

docs: html/index.html
html/index.html: mkdocs.yml Makefile docs/*.md
	env LC_ALL=C.UTF-8 mkdocs build --clean

# Avoid any inclusion of either external or embedded JS code. Avoids
# lintian warnings about privacy breaches.
cleanthedocs: docs
	find html -name '*.html' | while read file; do \
		egrep -v '<link href=.https?://fonts.googleapis.com/|<(img|script)[^>]*src="(https?:)?//|<script[^>]*src="\.\.?/js/|<link rel="stylesheet" href="\.\.?/css/highlight\.css">' "$$file" | \
			sponge "$$file"; \
		sed -e 's:href="./\([^"]*\)/">:href="./\1/index.html">:g' -i $$file; \
	done
	rm -rf html/js/ html/css/highlight.css

manpages: unburden-home-dir.1

%.1: docs/%.1.md
	ronn --manual="Unburden Your Home Directory" -r --pipe $< > $@

index:
	perl -nE 'if (/^  - "?(.+[^"])"?: (\S*?)\.md$$/) { say "* [$$1]($$2/)"; }' < mkdocs.yml

pureperltest:
	perl -c bin/unburden-home-dir
	prove $(PROVEFLAGS) t/*.t

test: pureperltest
	checkbashisms Xsession.d/95unburden-home-dir

determine-coverage:
	cover -delete
	prove --exec 'env -u TMPDIR   -u XDG_RUNTIME_DIR      PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t
	prove --exec 'env    TMPDIR=/foo XDG_RUNTIME_DIR=/bar PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t

cover: determine-coverage
	cover -report html_basic

coveralls: determine-coverage
	cover -report coveralls

install: unburden-home-dir.1
	install -d $(DESTDIR)/etc/X11/Xsession.d/
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/man/man1/
	install -d $(DESTDIR)/usr/share/unburden-home-dir/
	install -m 755 bin/unburden-home-dir $(DESTDIR)/usr/bin/
	install -m 644 share/common.sh $(DESTDIR)/usr/share/unburden-home-dir/
	install -m 644 Xsession.d/95unburden-home-dir $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 Xsession.d/25unburden-home-dir-xdg $(DESTDIR)/etc/X11/Xsession.d/
	install -m 644 etc/unburden-home-dir etc/unburden-home-dir.list $(DESTDIR)/etc/
	sed -e 's/^\([^#]\)/#\1/' -i $(DESTDIR)/etc/unburden-home-dir.list
	gzip -9cn unburden-home-dir.1 > $(DESTDIR)/usr/share/man/man1/unburden-home-dir.1.gz

clean:
	rm -rf html/
	rm -f *.[0-9]

=== debian/changelog ===
unburden-home-dir (0.4.0.1) unstable; urgency=medium

  * Fix typos in man page.
  * Test suite: Use File::Slurper with "eval { write_text(@_); 1 }"
    instead of "-e".
  * Split off an unburden-home-dir-doc package as recommended by the
    Debian Policy since version 3.9.7.
    + Make fonts-font-awesome a Recommends of unburden-home-dir-doc
      instead of a Suggests of unburden-home-dir.
    + Rename all binary-package specific debian/* files to
      debian/unburden-home-dir.*.
  * Fix installation of NEWS.Debian
  * Don't install mkdocs-generated __init__.py.

 -- Axel Beckert <abe@debian.org>  Wed, 25 May 2016 01:56:59 +0200

unburden-home-dir (0.4) unstable; urgency=low

  New Features:

  * Set $XDG_CACHE_HOME to a subdirectory of unburden-home-dir's target.
    + Use sane tmpfs-based defaults for $XDG_CACHE_HOME in case
      unburden-home-dir is unconfigured.
  * Expand environment variables inside config files and list files.
    + Add (build-)dependency on libstring-expand-perl.
  * Don't set TARGETDIR in configuration file by default but compute a
    sane default value inside unburden-home-dir (Closes: #780387):
      - Use $TARGETDIR if set in the configuration file.
      - Else use $XDG_RUNTIME_DIR/$UID if it exists.
      - Else use /run/user/$UID if it exists.
      - Else use $TMPDIR if it exists.
      - Else use /tmp/.
    + Run test suite multiple times with different environments for
      coverage computation.
  * Also explicitly look for lsof in /usr/sbin to support odd Linux
    distributions which ship lsof outside a user's $PATH. Fixes GH#8.

  Bug fixes:

  * Always pass parameters to File::Rsync as array, not as hash
    reference. This is File::Rsync's preferred interface now and is even
    fully backwards compatible. Fixes test suite failures with File::Rsync
    0.46 (whose backward compatibility mode is buggy).
  * Support newer versions of lsof which additionally always output the
    used file descriptors. (Suppresses the "unexpected line" warnings.)

  Test suite enhancements:

  * Test::UBH always uses an environment variable for a part of the
    configuration file and hence tests the new feature mentioned above.
  * Skip tests which involve the non-readabliity of files if run as
    root. (Closes: #789832)
  * Catch some more cases of minor differences in output.
  * Fix race-condition in t/expand_environment_variables.t and
    t/moving-to-existing-subdir.t by enforcing older mtime.
  * Skip t/lsof-force.t if run on NFS. (Fixes test suite aspect of
    #760890.)
  * Get rid of File::Slurp in test suite (now uses File::Slurper instead).
    + Add libfile-slurper-perl to build-dependencies.
    + Drop libfile-slurp-perl from build-dependencies.

  Packaging, build system, documentation and file layout changes:

  * Change section from x11 to utils. It's far more than just an Xsession
    hook nowadays.
  * Declare compliance with Debian Policy 3.9.8 (no other changes needed)
  * Update copyright years in debian/copyright.
  * Rename debian/unburden-home-dir.* to debian/* for consistency.
  * Extract common logic for Xsession.d files into a separate file.
  * Split up documentation into several Markdown files in a separate
    directory. Support mkdocs to generate HTML documents from them.
    + Add build-dependency on mkdocs and moreutils (for sponge).
    + No more install README.md as documentation.
    + Drop override for dh_installdocs.
    + Register them with doc-base.
  * Generate man pages from Markdown, too, using ronn.
    + Add ruby-ronn as build-dependency.
  * Use "gzip -n" to make sure the build stays reproducible.
  * Support build profiles nocheck and nodoc.
    + Bump debhelper build-dependency to ≥ 9.20141010
    + Add build-dependency on dpkg-dev ≥ 1.17.14.
  * Add symlink from LICENSE to COPYING to please flint.
  * Add CONTRIBUTING.md to guide contributors via GitHub.
  * Many documentation updates, including these:
    + Take into account that Gitorious has been closed.
    + ReadTheDocs changed the domain for hosted projects from .org to .io
    + Updated links to BleachBit, Mundus and AutoTrash.
    + Changed links from http:// to https:// where possible.
    + Mention rmlint.
  * Mention SD and CF cards in long package description and documentation.
  * Switch Vcs-Git header from git:// to https://.
  * Add debian/debhelper-build-stamp to .gitignore.
  * Rephrase EeePC mentioning in package description and documentation.
  * Remove (mkdocs-generated?) __pycache__ directory from
    /usr/share/doc/unburden-home-dir/html/ at build time.

 -- Axel Beckert <abe@debian.org>  Fri, 13 May 2016 03:03:13 +0200

=== debian/control ===
Source: unburden-home-dir
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9.20141010),
               devscripts,
               dpkg-dev (>= 1.17.14),
               libconfig-file-perl,
               libfile-basedir-perl,
               libfile-rsync-perl,
               libfile-touch-perl,
               libfile-which-perl,
               libstring-expand-perl,
# Test suite dependencies
               libfile-slurper-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-random-perl <!nocheck>,
               libtest-differences-perl <!nocheck>,
               libtest-file-perl (>= 1.30) <!nocheck>,
               lsof <!nocheck>,
# Required for building the documentation
               mkdocs <!nodoc>,
               moreutils <!nodoc>,
# Required for building the man pages
               ruby-ronn <!nodoc>
Standards-Version: 3.9.8
Homepage: https://github.com/xtaran/unburden-home-dir
Vcs-Git: https://github.com/xtaran/unburden-home-dir.git
Vcs-Browser: https://github.com/xtaran/unburden-home-dir

Package: unburden-home-dir
Architecture: all
Depends: libconfig-file-perl,
         libfile-basedir-perl,
         libfile-rsync-perl,
         libfile-touch-perl,
         libfile-which-perl,
         libstring-expand-perl,
         ${misc:Depends},
         ${perl:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Recommends: lsof,
            x11-common
Enhances: x11-common
Suggests: agedu,
          autotrash,
          bleachbit,
          corekeeper,
          eatmydata,
          fslint,
          ncdu | baobab | filelight | xdiskusage | xdu,
          unburden-home-dir-doc,
          tmpreaper
Description: Remove or move cache files automatically from user's home
 unburden-home-dir allows users to move cache files from browsers,
 etc. off their home directory, i.e. on a local harddisk or tmpfs and
 replace them with a symbolic link to the new location (e.g. on /tmp/
 or /scratch/) upon login. Optionally the contents of the directories
 and files can be removed instead of moved.
 .
 This is helpful at least in the following cases:
 .
 The idea-giving case are big workstation setups where $HOME is on NFS
 and all those caches put an unnecessary burden (hence the name) on
 the file server since caching over NFS doesn't have the best
 performance and may clog the NFS server, too.
 .
 A similar case, but with different purpose is reducing I/O on mobile
 devices like laptops or netbooks to extend the battery life or reduce
 the wearing down of CF or SD cards, e.g. in single board computers
 like the Raspberry Pi or Alix or APU boards: Moving browser caches
 etc. off the real disk into a tmpfs filesystem reduces the amount of
 disk I/O which reduces the power consumption of the disk.
 .
 Another possible solution for saving non-crucial I/O is using the
 package eatmydata to ignore a software's fsync calls.
 .
 The other type of use cases for unburden-home-dir is to reduce disk
 space usage, e.g. on devices with small disk space but a lot of RAM
 as seen often on boxes with flash disks or early netbooks, e.g.  the
 first EeePC with 4GB disk space and 2GB RAM. In this case you want to
 move off as many cache files, etc. as possible to some tmpfs
 filesystem, e.g. /tmp/.
 .
 It may also help to reduce the amount of needed backup disk space by
 keeping those files in places where they don't get backed up. In that
 case it's an alternative to keeping the blacklist in your backup
 software up-to-date.
 .
 For some users it may also be helpful to stay under their quota.
 .
 The package also contains an Xsession hook which calls this script on
 X login for every user. But by default no files or directories are
 configured to be moved elsewhere, so nothing will happen
 automatically without configuration.

Package: unburden-home-dir-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-font-awesome
Enhances: unburden-home-dir
Replaces: unburden-home-dir (<< 0.4.0.1)
Breaks: unburden-home-dir (<< 0.4.0.1)
Section: doc
Homepage: https://unburden-home-dir.readthedocs.io/
Description: HTML documentation for unburden-home-dir
 This package contains the documentation for Unburden Your Home
 Directory in HTML format.
 .
 Alternatively you can also find the latest version of this
 documentation online at either
 https://unburden-home-dir.readthedocs.io/ or
 https://xtaran.gitbooks.io/unburden-home-dir/.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_installdocs:
override_dh_install:
	dh_install -punburden-home-dir
override_dh_auto_build:
override_dh_installman:
else
override_dh_install:
	dh_install --fail-missing
	rm -rf debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__pycache__ \
	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__init__.py
	ln -vis /usr/share/fonts-font-awesome/fonts debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts
endif

## unburden-home-dir 0.4.1

=== debian/changelog ===
unburden-home-dir (0.4.1) unstable; urgency=low

  Default/Example Configuration:

  * Switch Chrome/Chromium "Thumbnails" type from file to directory.
  * Don't merge Chromium Thumbnails into Chrome Thumbnails.

  Documentation:

  * Fulfils some more Core Infrastructure Documentation Best Practices.
    + Document how to report security bugs by (PGP-encrypted) e-mail.
    + Document PGP key(s) used in the project and how to retrieve it.
  * Add repology package list badges to README.md + docs/installation.md.

  Test Suite (adds new test/build dependency Perl::Critic):

  * Test suite: Run checkbashism also on share/common.sh and
    Xsession.d/25unburden-home-dir-xdg.
  * Test suite: Provide checkbashism as its own Make target.
  * Use Perl::Critic as part of the test suite.
    + Add libtest-perl-critic-perl as build-dependency.
    + Add .perlcriticrc* files to configure Perl::Critic.

  Code Refactoring (adds new dependencies IPC::Run and Try::Tiny):

  * Make Test::UBH perlcritic-severity-4-clean.
  * Make unburden-home-dir perlcritic-severity-4-clean.
    + Solved by minor refactorings.
  * Make unburden-home-dir perlcritic-severity-3-clean.
    + Use IPC::Run's run() instead of backticks for calling lsof.
      - Add according dependencies on libipc-run-perl.
    + Use /x flag on all regular expressions and sprinkle blanks over
      them.
    + Use HEREDOC instead of multiline quoted strings.
    + Don't use capture variables outside a regexp without a test.
    + Use Try::Tiny instead of "eval { ...; }; if ($@) { ...; }".
      - Add according dependencies on libtry-tiny-perl.
    + Raise Perl::Critic's max_mccabe values slightly by 5.
    + Ignore ErrorHandling::RequireCarping (no module) and
      ControlStructures::ProhibitCascadingIfElse (compact enough).

  Debian Packaging:

  * Set "Rules-Requires-Root: no".
  * Set "Multi-Arch: foreign" for unburden-home-dir-doc as suggested by
    the Multi-Arch hinter.

 -- Axel Beckert <abe@debian.org>  Mon, 06 Nov 2017 00:30:38 +0100

unburden-home-dir (0.4.0.2) unstable; urgency=medium

  * Support autopkgtest v4.
  * t/version.t: Re-enable strictures; fix reason why they were disabled.
  * debian/copyright: Update copyright years and my e-mail address.
  * debian/copyright: Remove no more updated Git repositories.
  * Mention profile-sync-daemon as related tool.
  * Update test suite helper library to cope with changed output of "mv
    -v" since coreutils 8.28 or so. (Closes: #878336)
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority to "optional".
  * Switch to debhelper compatibility level 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop explicit --parallel from debian/rules.
  * Update debian/gbp.conf to sport current section names and GPG keys.

 -- Axel Beckert <abe@debian.org>  Fri, 13 Oct 2017 03:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: unburden-home-dir
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9.20141010),
+Build-Depends: debhelper (>= 10),
                devscripts,
                dpkg-dev (>= 1.17.14),
                libconfig-file-perl,
@@ -10,23 +10,27 @@
                libfile-rsync-perl,
                libfile-touch-perl,
                libfile-which-perl,
+               libipc-run-perl,
                libstring-expand-perl,
+               libtry-tiny-perl,
 # Test suite dependencies
                libfile-slurper-perl <!nocheck>,
                libmoo-perl <!nocheck>,
                libstring-random-perl <!nocheck>,
                libtest-differences-perl <!nocheck>,
                libtest-file-perl (>= 1.30) <!nocheck>,
+               libtest-perl-critic-perl <!nocheck>,
                lsof <!nocheck>,
 # Required for building the documentation
                mkdocs <!nodoc>,
                moreutils <!nodoc>,
 # Required for building the man pages
                ruby-ronn <!nodoc>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/xtaran/unburden-home-dir
 Vcs-Git: https://github.com/xtaran/unburden-home-dir.git
 Vcs-Browser: https://github.com/xtaran/unburden-home-dir
+Rules-Requires-Root: no
 
 Package: unburden-home-dir
 Architecture: all
@@ -35,7 +39,9 @@
          libfile-rsync-perl,
          libfile-touch-perl,
          libfile-which-perl,
+         libipc-run-perl,
          libstring-expand-perl,
+         libtry-tiny-perl,
          ${misc:Depends},
          ${perl:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
@@ -111,3 +117,4 @@
  documentation online at either
  https://unburden-home-dir.readthedocs.io/ or
  https://xtaran.gitbooks.io/unburden-home-dir/.
+Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 override_dh_installdocs:

## unburden-home-dir 0.4.1.1

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,16 @@
 	ronn --manual="Unburden Your Home Directory" -r --pipe $< > $@
 
 index:
-	perl -nE 'if (/^  - "?(.+[^"])"?: (\S*?)\.md$$/) { say "* [$$1]($$2/)"; }' < mkdocs.yml
+	perl -nE 'if (/^  - "?(.+[^"])"?: (\S*?)\.md$$/) { say "* [$$1]($$2)"; }' < mkdocs.yml
 
 pureperltest:
 	perl -c bin/unburden-home-dir
 	prove $(PROVEFLAGS) t/*.t
 
-test: pureperltest
-	checkbashisms Xsession.d/95unburden-home-dir
+test: pureperltest checkbashisms
+
+checkbashisms:
+	checkbashisms Xsession.d/* share/*.sh
 
 determine-coverage:
 	cover -delete
@@ -44,6 +46,8 @@
 
 coveralls: determine-coverage
 	cover -report coveralls
+codecov: determine-coverage
+	cover -report codecov
 
 install: unburden-home-dir.1
 	install -d $(DESTDIR)/etc/X11/Xsession.d/

=== debian/changelog ===
unburden-home-dir (0.4.1.1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Fix a bunch of typos.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.5. (No other changes.)
  * Update build-dependency from "ruby-ronn" to "ronn | ruby-ronn (<<
    0.7.3-5.1~)" due to short-term package split-up. (Closes: #903073)
  * Build-Conflict with libperl-critic-freenode-perl for now.
  * Replace /usr/share/doc/unburden-home-dir/html/search/mustache.min.js
    with symlink in unburden-home-dir-doc and recommend libjs-mustache.
  * Switch to debhelper compatibility level 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 05 Jul 2018 23:16:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                devscripts,
                dpkg-dev (>= 1.17.14),
                libconfig-file-perl,
@@ -25,8 +25,9 @@
                mkdocs <!nodoc>,
                moreutils <!nodoc>,
 # Required for building the man pages
-               ruby-ronn <!nodoc>
-Standards-Version: 4.1.1
+               ronn | ruby-ronn (<< 0.7.3-5.1~) <!nodoc>
+Build-Conflicts: libperl-critic-freenode-perl
+Standards-Version: 4.1.5
 Homepage: https://github.com/xtaran/unburden-home-dir
 Vcs-Git: https://github.com/xtaran/unburden-home-dir.git
 Vcs-Browser: https://github.com/xtaran/unburden-home-dir
@@ -103,7 +104,8 @@
 Package: unburden-home-dir-doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: fonts-font-awesome
+Recommends: fonts-font-awesome,
+            libjs-mustache
 Enhances: unburden-home-dir
 Replaces: unburden-home-dir (<< 0.4.0.1)
 Breaks: unburden-home-dir (<< 0.4.0.1)

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 	dh_install --fail-missing
 	rm -rf debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts \
 	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__pycache__ \
-	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__init__.py
+	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/__init__.py \
+	       debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/search/mustache.min.js
 	ln -vis /usr/share/fonts-font-awesome/fonts debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/fonts
+	ln -vis /usr/share/javascript/mustache/mustache.min.js debian/unburden-home-dir-doc/usr/share/doc/unburden-home-dir/html/search/mustache.min.js
 endif
